@tailwind base;
@tailwind components;
@tailwind utilities;

/*
    This is an amalgamation of these:
    https://codepen.io/wheresdara/pen/wvXBpwa
    https://codepen.io/deren2525/pen/ZEQrKLQ
  */
$COLOR_WHITE: #fff;
$COLOR_SKY_TOP: #060431;
$COLOR_SKY_BOTTOM: #406178;

.star-bg {
  position: absolute;
  top: 0;
  left: 0;
  z-index: -100;
  contain: strict;
  background: linear-gradient(to bottom, $COLOR_SKY_TOP, $COLOR_SKY_BOTTOM);
}

.stars {
  position: fixed;
  top: 50%;
  left: 50%;
  height: 1px;
  width: 1px;
  background-color: $COLOR_WHITE;
  border-radius: 50%;
  box-shadow:
    24vw 9vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    12vw -24vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    -45vw -22vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    -37vw -40vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    29vw 19vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    4vw -8vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    -5vw 21vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    -27vw 26vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    -47vw -3vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    -28vw -30vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    -43vw -27vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    4vw 22vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    36vw 23vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    -21vw 24vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    -16vw 2vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    -16vw -6vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    5vw 26vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    -34vw 41vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    1vw 42vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    11vw -13vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    48vw -8vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    22vw -15vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    45vw 49vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    43vw -27vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    20vw -2vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    8vw 22vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    39vw 48vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    -21vw -11vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    -40vw 45vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    11vw -30vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    26vw 30vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    45vw -29vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    -2vw 18vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    -29vw -45vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    -7vw -27vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    42vw 24vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    45vw -48vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    -36vw -18vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    -44vw 13vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    36vw 16vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    40vw 24vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    18vw 11vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    -15vw -23vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    -24vw 48vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    27vw -45vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    -2vw -24vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    -15vw -28vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    -43vw 13vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    7vw 27vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    47vw 5vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    -45vw 15vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    -5vw -28vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    38vw 25vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    -39vw -1vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    5vw 0vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    49vw 13vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    48vw 10vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    19vw -28vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    4vw 7vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    21vw 21vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    -15vw -15vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    -6vw -42vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    -15vw 48vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    -23vw 25vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    -48vw 25vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    -31vw -19vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    4vw 37vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    -43vw 28vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    3vw -25vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    -39vw 14vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    -40vw 31vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    35vw -36vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    16vw 49vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    6vw 39vh 0px 0px rgba(random(255), random(140), 255, 0.8),
    3vw -35vh 0px 1px rgba(random(255), random(140), 255, 0.8),
    -44vw -2vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    -6vw 21vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    48vw 9vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    -43vw 30vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    29vw -12vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    -48vw 13vh 1px 0px rgba(random(255), random(140), 255, 0.8),
    -42vw 32vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    34vw 15vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    29vw -37vh 1px 1px rgba(random(255), random(140), 255, 0.8),
    28vw 2vh 0px 0px rgba(random(255), random(140), 255, 0.8);
  animation: zoom 16s alternate infinite;
}

@keyframes zoom {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(1.5);
  }
}
